/***************************************************************************
 *   Copyright (C) 2004 by Christoph Thielecke                             *
 *   crissi99@gmx.de                                                       *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#include "profilenetworknatoptions.h"

#include <qcheckbox.h>
#include <qspinbox.h>
#include "widgetnotifyhelper.h"
#include <iostream>

ProfileNetworkNatOptions::ProfileNetworkNatOptions(QWidget *parent)
		: ProfileNetworkNatOptionsBase(parent)
{
	WidgetNotifyHelper h;
	h.setupChangedAction(this);
	dialogModified=false;
}


ProfileNetworkNatOptions::~ProfileNetworkNatOptions()
{}

void ProfileNetworkNatOptions::useUdpToggled(bool)
{
	if (UseUdpCheckbox->isChecked())
	{
		UdpPortCheckbox->setEnabled(TRUE);
		UdpPortSpinbox->setEnabled(FALSE);
	}
	else
	{
		UdpPortCheckbox->setEnabled(FALSE);
		UdpPortSpinbox->setEnabled(FALSE);
	}
}


void ProfileNetworkNatOptions::udpPortToggled(bool)
{
	if (UdpPortCheckbox->isChecked())
	{
		UdpPortSpinbox->setEnabled(TRUE);
	}
	else
	{
		UdpPortSpinbox->setEnabled(FALSE);
	}
}


void ProfileNetworkNatOptions::dialogChanged()
{
// 	std::cout << "ProfileNetworkNatOptions::dialogChanged()" << std::endl;
	dialogModified=true;
}
